This repository contains source code associated to the paper: Axel Antoine, Mathieu Nancel, Ella Ge, Jingje Zheng, Navid Zolghadr and Géry Casiez. 2020. Modeling and Reducing Spatial Jitter caused by Asynchronous Input and Output Rates. In Proceedings of the 2020 ACM Symposium on User Interface Software and Technology (UIST ’20). Association for Computing Machinery, New York, NY, USA, 1–13. 

<!--
[![DOI](https://img.shields.io/badge/doi-10.1145%2F3313831.3376559-blue)](https://doi.org/10.1145/3313831.3376559)

```
@inproceedings{10.1145/3313831.3376559,
    author = {Masson, Damien and Malacria, Sylvain and Lank, Edward and Casiez, G\'{e}ry},
    title = {Chameleon: Bringing Interactivity to Static Digital Documents},
    year = {2020},
    isbn = {9781450367080},
    publisher = {Association for Computing Machinery},
    address = {New York, NY, USA},
    url = {https://doi.org/10.1145/3313831.3376559},
    doi = {10.1145/3313831.3376559},
    booktitle = {Proceedings of the 2020 CHI Conference on Human Factors in Computing Systems},
    pages = {1–13},
    numpages = {13},
    keywords = {interactivity, augmented documents, feature matching},
    location = {Honolulu, HI, USA},
    series = {CHI ’20}
}
```
-->

# Code for the section THEORETICAL EFFECTS OF IN-OUT ASYNCHRONICITY

The code for replicating the figures in this section is available in the jupyter notebook ```Simulate_Frequency_Noise.ipynb```

# Code for the section SIMULATOR STUDY WITH GOOGLE PIXEL DEVICES

We provide python code for our simulator (```simulator.py```) that can be used by our Rmd file (```ResultsPresentedInPaper.Rmd```) to replicate figures 7, 8, 9 and 10.

```python simulator.py ../ParticipantsData/``` produces ```data.csv``` file

```python simulator.py ../ParticipantsData/ --com``` creates ```dataComparisonPixel3and4.csv```

```ParticipantsData/``` contains the data for the experiment described in the paper.

```dataLaViola.csv``` and ```dataQuadratic.csv``` and used by Figure 10 but the source code to re-create them is not provided.

```ResultsPresentedInPaper.html``` is the output of ```ResultsPresentedInPaper.Rmd```
