#!/usr/bin/env python3
#-*- coding:utf-8 -*-

# Gery Casiez
# 2020

import numpy as np

# ----------------------------------------------------------------------------

class MovingAverage(object):

    def __init__(self, N):
        if N < 1:
            raise ValueError("N should be >0")
        self.N = N
        self.LastValues = []

    def __call__(self, value):        
        self.LastValues.append(value)
        if len(self.LastValues) > self.N:
            self.LastValues.pop(0)
        return np.average(self.LastValues)

